Subject: bug#6691: 23.2; Eshell and ^M (PATCH attached)

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Wed, 11 Apr 2012 13:16:34 +0200

Leo <[email-masked]> writes:

> The problem is eshell-last-output-block-begin can point to a wrong
> position in the eshell buffer after truncating buffer. I tried to trace
> the reason of introducing eshell-last-output-block-begin but the
> revision history only goes back to 2000.

This looks like a good patch to me, but I don't use eshell, so I can't
test.

Does anybody know whether the `eshell-last-output-block-begin' stuff
really is cruft that can be removed?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/